import xbmc
from typing import Union
import chardet


def info(msg : Union[str, bytes]):
    xbmc.log(f'INFO: {isinstance(msg, bytes) and msg.decode(chardet.detect(msg)["encoding"]) or msg}')


def error(msg: Union[str, bytes]):
    xbmc.log(f'ERROR: {isinstance(msg, bytes) and msg.decode(chardet.detect(msg)["encoding"]) or msg}')
